_header(`Alpine')
<P>
Alpine Linux is a small Linux _ref(`#distribution') based on musl libc.
Its main purpose is to serve as a server distribution, however many have found use for it as a desktop distribution.
</P>

_subheader(`apk(8)')
_bibliography(`
_bentr(`_link(`Alpine Package Keeper', `https://wiki.alpinelinux.org/wiki/Alpine_Package_Keeper') (Alpine Wiki)')
_bentr(`<A HREF="https://pkgs.alpinelinux.org/contents">Alpine repositories content search</A>')
')
_subsubheader(`Adding software')
_man(`apk-add(8)')
_subsubheader(`Repositories')
<P>
See _man(`apk-repositories(5)').
</P>
<P>
Most Internet repositories use the URL scheme of _code(`https://[_italic(`server')]/alpine/[_italic(`release branch')]/[_italic(`repository branch')]').
For example, the _italic(`main') repository branch on the _italic(`edge') release branch on the server _italic(`dl-cdn.alpinelinux.org') is _code(`http://dl-cdn.alpinelinux.org/alpine/edge/main').
A repositories file could look like the following:
</P>
<PRE>
http://dl-cdn.alpinelinux.org/alpine/edge/main
http://dl-cdn.alpinelinux.org/alpine/edge/community
http://dl-cdn.alpinelinux.org/alpine/edge/testing
</PRE>
<P>
Local directories like _file(`/media/cdrom/apks'), an example from the Alpine Wiki, are valid as well.
</P>
_subsubheader(`_code(`WARNING: Ignoring [_italic(`path')]: UNTRUSTED signature')')
_bibliography(`
_bentr(`_link(`ERROR: http://dl-4.alpinelinux.org/alpine/edge/testing: UNTRUSTED signature', `https://stackoverflow.com/questions/73374745/error-http-dl-4-alpinelinux-org-alpine-edge-testing-untrusted-signature')')
')
<P>
If you are absolutely sure what you're doing is fine, _command(`apk [_italic(`command')] _em(`--allow-untrusted')').
This ignores the error and allows the operation to proceed.
</P>

_subheader(`Always install manual pages')
<P>
Alpine doesn't include man pages in program packages to save on space, instead keeping them in _code(`[<I>package</I>]-doc') sibling packages.
To always install doc packages with program packages, _code(`apk add docs').
</P>

_subheader(`Bootstrapping')
<P>
See _ref(`#bootstrapping').
The Alpine setup scripts also exist to aid in the bootstrap process.
</P>
<P>
To bootstrap _man(`apk(8)') do the following:
</P>
<OL>
<LI>Copy _man(`apk-keys(5)') to the analogous location on the mounted volume.</LI>
<LI>Fill out _man(`apk-repositories(5)') on the mount.</LI>
<LI>Use _man(`apk-add(8)') to initialize the package database on the mount (_command(`apk --root [<I>mount</I>] add --initdb alpine-base')).</LI>
</OL>
<P>
Copy _man(`resolv.conf(5)') over (and bind _file(`/dev/'), _file(`/proc/'), and _file(`/sys/')) before _ref(`/unix/#posix#chroot(1)')ing.
</P>
<P>
In the chroot, make sure to install a kernel, which will put _ref(`#initramfs') creation in the _man(`apk(8)') build hooks and rebuild the initramfs whenever the kernel is upgraded.
</P>

_subsubheader(`Setup scripts')
_bibliography(`
_bentr(`_link(`Alpine setup scripts', `https://wiki.alpinelinux.org/wiki/Alpine_setup_scripts') (Alpine Wiki)')
')
_passage(`Eunakria on the Alpine Linux Discord server',
`<P><CODE>setup-alpine</CODE> is jank.</P>')
<P>
_program(`setup-hostname') validates a _man(`hostname(5)') before writing to the mounted volume.
</P>
<P>
_program(`setup-xorg-base') adds the packages _package_alpine(`xorg-server'), _package_alpine(`xf86-input-libinput'), _package_alpine(`eudev'), and _package_alpine(`mesa'), and then enables the _ref(`#initialization') services for udev.
</P>

_subheader(`postmarketOS')
<P>
postmarketOS is an Alpine-based Linux software distribution that makes configuring and using Linux easy on mobile devices.
</P>
<H5>Random MAC address generation on Wifi</H5>
<P>
By default, postmarketOS will generate a random software MAC address when connecting to a new WLAN network.
You can disable this by adding a NetworkManager rule.
In _code(`/etc/NetworkManager/conf.d/') you can make a file with any name that has the following:
</P>
<PRE>
[device]
wifi.scan-rand-mac-address=no
</PRE>
<P>
On a live system you can then _code(`rc-service networkmanager restart') to restart NetworkManager and have it load the new configuration.
</P>
