_header(`Arch')
<P>
Arch is a Linux software distribution that uses the _man(`pacman(8)') package manager.
Arch performs little in the way of modification of upstream versions of packages and offers only the latest (or last noticed) revisions of programs in its repositories,
which has given it a reputation for instability compared to other Linux software distributions that bug-test programs before offering them to users in standard release channels (for example, _ref(`#debian')).
</P>

_subheader(`AUR')
<P>
You will need _package_arch(`base-devel').
</P>

_subheader(`Bootstrapping')
<P>
See _ref(`#bootstrapping').
Use _man(`pacstrap(8)') on Arch and _man(`basestrap(8)') on Artix.
</P>
<P>
Arch's base package is _package_arch(`base').
Additionally, a kernel such as _package_arch(`linux') or _package_arch(`linux-lts') will be necessary.
The Arch wiki says _package_arch(`linux-firmware') is necessary; it's not on many hardware configurations but it's recommended.
On Artix you also need to select the _ref(`#initialization') system: _package(`66'), _package(`dinit'), _package(`openrc'), _package(`runit'), or _package(`s6-base').
The Artix wiki says the initialization-specific _ref(`#login#logind') package is necessary; it's not but it's recommended.
</P>
<P>
On the bootstrapped system, after chrooting in, uncomment a local mirror in _file(`/etc/pacman.d/mirrorlist-arch').
Then configure _file(`/etc/pacman.conf') to use that mirror list.
</P>
_passage(`Config block conveyed to Leyla by an Arch package maintainer, shared to the Tebibyte Media Discord server 2021-06-04T1746+0500',
`
<PRE>
#
# ARCHLINUX
#

#[testing]
#Include = /etc/pacman.d/mirrorlist-arch

[extra]
Include = /etc/pacman.d/mirrorlist-arch

#[community-testing]
#Include = /etc/pacman.d/mirrorlist-arch

[community]
Include = /etc/pacman.d/mirrorlist-arch

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist-arch

#[multilib]
#Include = /etc/pacman.d/mirrorlist-arch
</PRE>
')

_subheader(`Artix')
_bibliography(`
_bentr(`<A HREF="https://artixlinux.org/">Artix Linux</A>')
_bentr(`<A HREF="https://en.wikipedia.org/wiki/Artix_Linux">Artix Linux</A> (Wikipedia)')
')
<P>
Artix is a Linux software distribution based on Arch that doesn't mandate SystemD as its initialization system.
</P>

_subheader(`makepkg(8)')
_bibliography(`
_bentr(`_link(`makepkg', `https://wiki.archlinux.org/title/Makepkg') (Arch Wiki)')
_bentr(`_link(`pacman', `https://gitlab.archlinux.org/pacman/pacman/')/_link(`scripts/makepkg.sh.in', `https://gitlab.archlinux.org/pacman/pacman/-/blob/master/scripts/makepkg.sh.in')')
')
<P>
_man(`makepkg(8)') is a _man(`bash(1)') script provided by _package_arch(`pacman') that provides an interface through which to manage _man(``PKGBUILD'(5)')s.
</P>
