_header(`Audio')
<P>
Most audio servers recommend that they be run in userspace with user privileges, with PulseAudio going so far as to exiting when run as root without additional configuration.
The Alpine wiki currently recommends _man(`pipewire(1)'), with postmarketOS, which is based on Alpine, coming pre-configured with PipeWire.
PipeWire is relatively new and the typical audio server used is PulseAudio; _ref(`#debian') and many popular Debian-based distributions come pre-configured with PulseAudio.
</P>
_subheader(`ALSA')
_bibliography(`
_bentr(`<A HREF="https://wiki.alpinelinux.org/wiki/Main_Page/Adding_sound">Adding sound</A> (Alpine Linux Wiki)')
_bentr(`<A HREF="https://bbs.archlinux.org/viewtopic.php?id=256857">ALSA lib conf Evaluate error</A>')
_bentr(`<A HREF="https://dev.to/setevoy/linux-alsa-lib-pcmdmixc1108sndpcmdmixopen-unable-to-open-slave-38on">ALSA lib pcm_dmix.c:1108:(snd_pcm_dmix_open) unable to open slave</A>')
')
<P>
The Alpine wiki ("Adding sound") says to install _package_alpine(`alsa-conf'), _package_alpine(`alsa-lib'), and _package_alpine(`alsa-utils'),
add yourself to the _code(`audio') group, and then do some more configuration that I've never needed to do:
Use _man(`alsamixer(1)') to find a working sound card (press _code(`F6') from the first screen ALSAMixer presents)
and edit _code(`/usr/share/alsa/alsa.conf') and change _code(`defaults.ctl.card') and _code(`defaults.pcm.card') to the sound card that works.
</P>
<P>
The Alpine wiki doesn't mention this but you'll need to enable the _code(`alsa') OpenRC service and either start it or reboot.
I also installed _package_alpine(`gstreamer') but I don't know why.
</P>
<P>
ALSA is clunky, many people prefer to use a frontend such as Pipewire or PulseAudio that exposes its own interface while remaining compatible with ALSA.
</P>
_subheader(`OSS')
<P>
Deprecated, unfortunately.
</P>
_subheader(`PipeWire')
_bibliography(`
_bentr(`<A HREF="https://wiki.alpinelinux.org/wiki/PipeWire">PipeWire</A> (Alpine Linux Wiki)')
_bentr(`<A HREF="https://gitlab.freedesktop.org/pipewire/pipewire/-/wikis/home">PipeWire</A> (FreeDesktop Wiki)')
')
<P>
Provided by the _package_alpine(`pipewire') package on Alpine.
</P>
<PRE>
RTKit error: org.freedesktop.DBus.Error.ServiceUnknown
</PRE>
<P>
This means you need _program(`rtkit') installed and running through your initialization system.
</P>
_subheader(`PulseAudio')
<P>
On Alpine you'll need the _package_alpine(`pulseaudio'), _package_alpine(`pulseaudio-alsa'), and _package_alpine(`alsa-plugins-pulse') packages for PulseAudio with ALSA compatibility.
Start _man(`pulseaudio(1)') when you want audio, ideally in your _file(`.xinitrc').
</P>
