_header(`Bootstrapping')
<P>
Usually the first program a computer will run is the _ref(`/unix/#bootloader'),
which loads the kernel and usually the _ref(`#initramfs') which will handle mounting the system storage.
Then the _ref(`#initialization') system is started, which handles daemons, some of which will handle login.
</P>
<P>
Bootstrapping Linux involves booting an operating system, usually off a temporary storage medium, mounting the intended system storage,
and installing the operating system on the intended storage.
Sometimes distributions come with software that mostly automates this.
</P>
_passage(`veronika on the Alpine Linux Discord server, 2022-12-04T1111+0400',`
<P>bootstrapping things is only useful for rare cases where you actually don`'t want to use the base packages that the installer gets for you automatically, and the installer doesn`'t get in your way of making your own system, instead it suggests you install certain packages, and asks what packages you want installed. If you`'re installing a desktop environment, it will probably ask you which meta package you want (or at least that`'s how I remember it working).</P>
<P>If you have an installer to do the same things with less steps for you, you should use it. Automation is progress, automation is the whole point of all this computer stuff. If you can automate it or make it easier, you probably should, unless you want some control over the process. For example, instead of checking the charge and running a command to put your laptop into battery saver mode, you make a program do it for you. Convenience is key to happy and painless computing</P>
')
<P>
If running very thin installation media, for example, a _ref(`#debian') network install CD, or just need the most up-to-date software possible,
the first step will be to connect to the Internet.
</P>
<P>
Next, if your chosen Linux distribution has a package manager, configure it, use it to initialize the file system on the intended system storage,
and install the necessary system packages to the storage.
Usually distributions have a single <EM>base</EM> package, like _ref(`#arch')'s _package_arch(`base') or _ref(`#alpine')'s _package_alpine(`alpine-base').
If it doesn't include any of them, install separately a kernel, initialization system, and userland.
</P>
<P>
Bind mount (_command(`mount -o bind')) _file(`/dev/'), _file(`/proc/'), and _file(`/sys/') to the corresponding locations on the volume to bootstrap
(_code(`for d in dev proc sys; do mount -o bind /$d /[<I>mount</I>]/$d; done')),
then _ref(`/unix/#posix#chroot(1)') in and complete the system setup.
Set up additional configuration necessary to boot (including _ref(`/unix/#fstab(5)'), _man(`hostname(5)'), _man(`hosts(5)'), and anything necessary for the kernel or initialization).
</P>
