_header(`X')
_bibliography(`
_bentr(`_link(`Cool, but obscure X11 tools', `http://cyber.dabamos.de/unix/x11/')')
_bentr(`_link(`Xorg', `https://wiki.archlinux.org/title/Xorg') (Arch Wiki)')
')
<P>
X is a graphical windowing system that can be used on _ref(`/linux/'), FreeBSD, OpenBSD, _ref(`#netbsd'), and some proprietary operating systems as well.
X is not the only windowing system; _man(`twin(1)') exists for windowed multitasking within a framebuffer and Wayland is another windowing system intended to replace X.
</P>

_subheader(`Anki')
<P>
Anki is the de facto standard flashcards studying programming given its popularity and lack of competition.
Anki uses spaced repetition to make sure the user remembers what they study for the long term.
</P>
_subsubheader(`_code(`ModuleNotFoundError: No module named `'aqt`'')')
<P>
The module _code(`aqt') isn't findable in the environment variable _code(`PYTHONPATH').
Check each directory in the pattern _file(`$PREFIX/lib/python*/site-packages') for the directory _file(`aqt/'),
and if it's there, try setting _code(`PYTHONPATH') to that corresponding _file(`site-packages') directory.
</P>
<P>
This bug exists on postmarketOS 22.12 (aarch64, based on Alpine Linux 3.17; anki-2.1.49-r2);
the _code(`PYTHONPATH') fix works as _code(`PYTHONPATH=/usr/lib/python3.11/site-packages/ anki').
</P>

_subheader(`cairo')
_bibliography(`
_bentr(`_link(`cairo', `https://en.wikipedia.org/wiki/Cairo_(graphics)') (Wikipedia)')
')
<P>
cairo is a graphics rendering library, originally for X but later made cross-platform.
</P>
<P>
cairo is available on _ref(`/linux/#alpine') as _package(`cairo-dev').
</P>

_subheader(`Fonts')
_subsubheader(`日本語')
_bibliography(`
_bentr(`_link(`Xorg', `https://gitlab.freedesktop.org/xorg/')/_link(`font/jis-misc', `https://gitlab.freedesktop.org/xorg/font/jis-misc')')
')
<P>
Both jiskan16 and jiskan24 are included in Xorg, in the source tree at font/jis-misc but usually packaged separately (_package(`font-jis-misc') on _ref(`/linux/#alpine')).
</P>

_subheader(`Mail')
<P>
The (formerly Mozilla) Thunderbird mail suite is a popular though maximal choice.
Claws Mail is a nice mail reader with a somewhat similar interface to Thunderbird but, in my experience, easier to use.
</P>

_subheader(`Media')
<P>
_man(`mpv(1)') and _man(`vlc(1)') are good options.
</P>

_subheader(`Server')
_subsubheader(`X.org')
_bibliography(`
_bentr(`_link(`X.org', `https://www.X.org')')
_bentr(`_link(`X.Org Server', `https://en.wikipedia.org/wiki/X.Org_Server') (Wikipedia)')
')
<P>
The de-facto standard X server is X.org.
NetBSD uses X.org as the default system X server.
</P>
<P>
_ref(`/linux/#arch')'s package repositories have _link(`_package(`xorg')', `https://archlinux.org/groups/x86_64/xorg/'),
_link(`_package(`xorg-apps')', `https://archlinux.org/groups/x86_64/xorg-apps/'),
and _link(`_package(`xorg-drivers')', `https://archlinux.org/groups/x86_64/xorg-drivers/') package groups.
_ref(`#pkgsrc') has _package(`meta-pkgs/modular-xorg').
</P>
<H5>_code(`Failed to open /dev/input/event[_italic(`number')] (Permission denied)')</H5>
	<P>You need to be a part of the _italic(`input') group to use X.org.</P>
<H5>_code(`Failed to open /dev/tty[_italic(`number')] (Permission denied)')</H5>
	<P>You need to be a part of the _italic(`video') group to use X.org.</P>

_subheader(`Managing Clients')
<P>
It's possible to make X _man(`exec(3)') a window manager at the end of initialization to ease the creation, deletion, and manipulation of windows.
Contrary to what is now popular belief, window managers are not necessary (thought they're extremely convenient compared to the lack of them).
</P>
<H4>ctwm</H4>
_bibliography(`
_bentr(`_link(`Configurations for ctwm (and twm)', `https://datagubbe.se/twm/')')
')

_subheader(`sxmo')
_subsubheader(`Add an app')
_bibliography(`
_bentr(`_link(`How to Add Apps to the List?', `https://wiki.postmarketos.org/wiki/Sxmo/Tips_and_Tricks#How_to_Add_Apps_to_the_List.3F')')
')
<P>
Copy _file(`/usr/share/sxmo/default_hooks/sxmo_hook_apps.sh') to _file(`"$XDG_CONFIG_HOME"/sxmo/hooks/sxmo_hook_apps.sh') and edit the script.
</P>

_subheader(`WWW')
_subsubheader(`TOR Browser')
<P>
TOR Browser is available through pkgsrc at _package(`security/tor-browser').
</P>

_subheader(`xinit(1)')
<P>
_man(`startx(1)') is usually included with _man(`xinit(1)').
</P>
<P>
On _ref(`/linux/#alpine'), _man(`xinit(1)') is provided by _package(`xinit').
On _ref(`/linux/#arch'), _man(`xinit(1)') is provided by _link(`_package(`xorg-xinit')', `https://archlinux.org/packages/extra/x86_64/xorg-xinit/').
</P>
